## transfuse 0.5.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
project(transfuse
	VERSION 0.5.7
	LANGUAGES CXX C
	)

option(BUNDLED_XXHASH "Set to ON to use the bundled xxHash instead of host's version" OFF)
option(BUILD_DOCS "Set to ON to build the documentation" OFF)
option(BUILD_MAN "Set to ON to build man page" OFF)

set(MASTER_PROJECT OFF)
if (CMAKE_CURRENT_SOURCE_DIR STREQUAL CMAKE_SOURCE_DIR)
	set(MASTER_PROJECT ON)
endif ()

# Release or Debug
if(MASTER_PROJECT AND NOT CMAKE_BUILD_TYPE)
	set(CMAKE_BUILD_TYPE "Release")
endif()

set(CMAKE_WINDOWS_EXPORT_ALL_SYMBOLS ON)
set(CMAKE_POSITION_INDEPENDENT_CODE ON)
set(CMAKE_MACOSX_RPATH ON)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/CMake" ${CMAKE_MODULE_PATH})

include(GNUInstallDirs)

if(MSVC)
	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /utf-8 /std:c++latest /Zc:__cplusplus /permissive- /W4 /MP")
	set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} /O2")
	set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} /LTCG")
else()
	set(_FLAGS_COMMON "-Wall -Wextra -Wno-missing-field-initializers -Wno-deprecated -Wno-unused-parameter -fPIC")

	include(CheckCXXCompilerFlag)

	foreach(flag "-Wconversion" "-flto")
		string(REGEX REPLACE "[^A-Za-z0-9]" "" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(_FLAGS_COMMON "${_FLAGS_COMMON} ${flag}")
		endif()
	endforeach()
	if(COMPILER_SUPPORTS_flto)
		set(CMAKE_AR "gcc-ar")
		set(CMAKE_CXX_ARCHIVE_CREATE "<CMAKE_AR> qcs <TARGET> <LINK_FLAGS> <OBJECTS>")
		set(CMAKE_CXX_ARCHIVE_FINISH true)
		set(CMAKE_EXE_LINKER_FLAGS_RELEASE "${CMAKE_EXE_LINKER_FLAGS_RELEASE} -flto")
	endif()

	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_FLAGS_COMMON} -fvisibility-inlines-hidden")

	# Require latest possible C++ standard
	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
		string(REGEX REPLACE "[^a-z0-9]" "" _flag ${flag})
		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
		if(COMPILER_SUPPORTS_${_flag})
			set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${flag}")
			set(_ENABLED_CXX ${flag})
			break()
		endif()
	endforeach()
	if(NOT _ENABLED_CXX)
		message(FATAL_ERROR "Could not enable at least C++14 (C++1y) - upgrade your compiler")
	endif()
endif()

include(TestBigEndian)
test_big_endian(ARCH_BIG_ENDIAN)
if(ARCH_BIG_ENDIAN)
	add_definitions(-DARCH_BIG_ENDIAN)
endif()

if(WIN32)
	add_definitions(-D_SECURE_SCL=0 -D_ITERATOR_DEBUG_LEVEL=0 -D_CRT_SECURE_NO_DEPRECATE -DWIN32_LEAN_AND_MEAN -DVC_EXTRALEAN -DNOMINMAX)
endif()

if(VCPKG_TOOLCHAIN)
	# libxml2
	find_package(LibXml2 REQUIRED)
	# sqlite3
	find_path(SQLITE3_INCLUDE_DIRS sqlite3.h REQUIRED)
	find_library(SQLITE3_LIBRARIES sqlite3 REQUIRED)
else()
	find_package(PkgConfig REQUIRED)
	pkg_search_module(LIBXML2 REQUIRED libxml-2.0)
	pkg_search_module(SQLITE3 REQUIRED sqlite3)
endif()

# libzip, using pkg-config fails for MacPorts
find_path(LIBZIP_INCLUDE_DIRS zip.h REQUIRED)
find_library(LIBZIP_LIBRARIES zip REQUIRED)

include(CheckIncludeFileCXX)
CHECK_INCLUDE_FILE_CXX(filesystem HAS_FS)
CHECK_INCLUDE_FILE_CXX(string_view HAS_SV)
if(HAS_FS)
	add_definitions(-DHAS_FS)
endif()
if(HAS_SV)
	add_definitions(-DHAS_SV)
endif()

# std::filesystem is in a separate library until g++ 9
if(CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND CMAKE_CXX_COMPILER_VERSION VERSION_LESS 9)
	set(STDFS_LIB stdc++fs)
endif()

# ICU
find_package(ICU REQUIRED)

enable_testing()

add_subdirectory(include/xxhash)
add_subdirectory(src)
add_subdirectory(tests)

if(BUILD_DOCS)
	add_subdirectory(docs)
endif()

=== tests/CMakeLists.txt ===
foreach(s apertium visl)
	foreach(f docx html html-fragment pptx odt txt)
		add_test(NAME "extract-${f}-${s}" COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/extract.sh" $<TARGET_FILE:transfuse> "${CMAKE_CURRENT_SOURCE_DIR}" ${f} ${s})
	endforeach()
endforeach()

=== debian/changelog ===
transfuse (0.5.7-1build2) jammy; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Feb 2022 05:52:55 +0100

transfuse (0.5.7-1build1) hirsute; urgency=medium

  * No-change rebuild for libzip soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Mar 2021 17:45:53 +0100

transfuse (0.5.7-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Fixes issues with big endian and/or unsigned char platforms.

  [ Kartik Mistry ]
  * Upload to unstable.

 -- Kartik Mistry <kartik@debian.org>  Wed, 13 Jan 2021 08:56:29 +0530

transfuse (0.5.6-1) experimental; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #977336)

 -- Kartik Mistry <kartik@debian.org>  Mon, 14 Dec 2020 12:05:25 +0530

=== debian/control ===
Source: transfuse
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libicu-dev,
               libsqlite3-dev,
               libxml2-dev,
               libxxhash-dev,
               libzip-dev,
               pkg-config
Standards-Version: 4.5.1
Homepage: https://github.com/TinoDidriksen/transfuse
Vcs-Git: https://salsa.debian.org/science-team/transfuse.git
Vcs-Browser: https://salsa.debian.org/science-team/transfuse
Rules-Requires-Root: no

Package: transfuse
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Runs formatted documents through transformations/translation
 Tool to take a document with nested inline complex formatting and extracts
 formatting into manageable spans, optionally send the resulting stream
 to a handler for transformation, inject the transformed stream back into
 the original document and turn the spans back into formatting.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%transfuse-$1.tar.bz2%" \
    https://github.com/TinoDidriksen/transfuse/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## transfuse 0.5.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(transfuse
-	VERSION 0.5.7
+	VERSION 0.5.8
 	LANGUAGES CXX C
 	)

=== src/CMakeLists.txt ===
configure_file(config.hpp.in config.hpp @ONLY)

add_executable(transfuse
	${CMAKE_CURRENT_BINARY_DIR}/config.hpp
	base64.hpp
	dom.hpp
	formats.hpp
	filesystem.hpp
	options.hpp
	shared.hpp
	state.hpp
	stream.hpp
	string_view.hpp
	xml.hpp

	base64.cpp
	dom.cpp
	extract.cpp
	format-docx.cpp
	format-html.cpp
	format-html-fragment.cpp
	format-odt.cpp
	format-pptx.cpp
	format-text.cpp
	inject.cpp
	shared.cpp
	state.cpp
	stream-apertium.cpp
	stream-visl.cpp
	transfuse.cpp
	)
target_include_directories(transfuse PRIVATE
	${CMAKE_CURRENT_BINARY_DIR}
	${ICU_INCLUDE_DIRS}
	${LIBXML2_INCLUDE_DIRS}
	${LIBZIP_INCLUDE_DIRS}
	${SQLITE3_INCLUDE_DIRS}
	${XXHASH_INCLUDE_DIRS}
	)
target_link_libraries(transfuse PRIVATE
	${ICU_LIBRARIES} ${ICU_IO_LIBRARIES} ${ICU_I18N_LIBRARIES}
	${LIBXML2_LIBRARIES}
	${LIBZIP_LIBRARIES}
	${STDFS_LIB}
	${SQLITE3_LIBRARIES}
	${XXHASH_LIBRARIES}
	)

foreach(s tf-extract tf-inject tf-clean)
	add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse ${s} DEPENDS transfuse)
	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s} DESTINATION ${CMAKE_INSTALL_BINDIR})

	add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse.1 ${s}.1)
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${s}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
endforeach()

if(BUILD_MAN)
	add_custom_target(man ALL COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man.sh ${PROJECT_VERSION})
	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
else()
	install(FILES transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
endif()

install(TARGETS
	transfuse
	RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
	)

=== debian/changelog ===
transfuse (0.5.8-1build6) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 06 Jan 2025 05:30:21 +0100

transfuse (0.5.8-1build5) plucky; urgency=medium

  * Rebuild against latest libzip

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Nov 2024 08:55:53 -0500

transfuse (0.5.8-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:26:05 +1100

transfuse (0.5.8-1build3) noble; urgency=high

  * No change rebuild against libzip4t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:57:38 +0100

transfuse (0.5.8-1build2) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 12:00:50 +0100

transfuse (0.5.8-1build1) lunar; urgency=medium

  * Rebuild against latest icu

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:57:58 -0500

transfuse (0.5.8-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Update to latest upstream relase.
  * debian/control:
    + Updated Standards-Version to 4.6.0
  * Updated debian/watch file.

 -- Kartik Mistry <kartik@debian.org>  Sat, 19 Mar 2022 19:19:02 +0530

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: transfuse
 Section: science
 Priority: optional
-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake,
@@ -12,7 +13,7 @@
                libxxhash-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/TinoDidriksen/transfuse
 Vcs-Git: https://salsa.debian.org/science-team/transfuse.git
 Vcs-Browser: https://salsa.debian.org/science-team/transfuse

=== debian/watch ===
version=4
https://github.com/TinoDidriksen/transfuse/releases \
 .*/@PACKAGE@-(\d[\d.]*)\.tar\.(?:xz|bz2) debian uupdate

## transfuse 0.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-cmake_minimum_required(VERSION 3.0 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(transfuse
-	VERSION 0.5.8
+	VERSION 0.6.7
 	LANGUAGES CXX C
 	)
 
@@ -52,7 +52,7 @@
 	set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${_FLAGS_COMMON} -fvisibility-inlines-hidden")
 
 	# Require latest possible C++ standard
-	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17" "-std=c++1z" "-std=c++14" "-std=c++1y")
+	foreach(flag "-std=c++20" "-std=c++2a" "-std=c++17")
 		string(REGEX REPLACE "[^a-z0-9]" "" _flag ${flag})
 		CHECK_CXX_COMPILER_FLAG(${flag} COMPILER_SUPPORTS_${_flag})
 		if(COMPILER_SUPPORTS_${_flag})
@@ -62,7 +62,7 @@
 		endif()
 	endforeach()
 	if(NOT _ENABLED_CXX)
-		message(FATAL_ERROR "Could not enable at least C++14 (C++1y) - upgrade your compiler")
+		message(FATAL_ERROR "Could not enable at least C++17 - upgrade your compiler")
 	endif()
 endif()
 
@@ -89,17 +89,13 @@
 endif()
 
 # libzip, using pkg-config fails for MacPorts
-find_path(LIBZIP_INCLUDE_DIRS zip.h REQUIRED)
+find_path(LIBZIP_INCLUDE_DIRS zip.h PATH_SUFFIXES libzip REQUIRED)
 find_library(LIBZIP_LIBRARIES zip REQUIRED)
 
 include(CheckIncludeFileCXX)
 CHECK_INCLUDE_FILE_CXX(filesystem HAS_FS)
-CHECK_INCLUDE_FILE_CXX(string_view HAS_SV)
 if(HAS_FS)
 	add_definitions(-DHAS_FS)
-endif()
-if(HAS_SV)
-	add_definitions(-DHAS_SV)
 endif()
 
 # std::filesystem is in a separate library until g++ 9

=== debian/changelog ===
transfuse (0.6.7-1ubuntu1) questing; urgency=medium

  * Skip HTML tests failing with libxml2 2.14 for now

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 28 May 2025 12:02:56 +0000

transfuse (0.6.7-1build2) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 09:46:26 +0200

transfuse (0.6.7-1) unstable; urgency=medium

  * Update to latest upstream

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 10 Apr 2025 11:16:22 +0200

ttransfuse (0.5.8-2) unstable; urgency=low

  * Fixed typo in the changelog.
  * Updated debian/watch.

 -- Kartik Mistry <kartik@debian.org>  Mon, 20 Nov 2023 09:04:57 +0530

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: science
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@alioth-lists.debian.net>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake,
@@ -13,7 +13,7 @@
                libxxhash-dev,
                libzip-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/TinoDidriksen/transfuse
 Vcs-Git: https://salsa.debian.org/science-team/transfuse.git
 Vcs-Browser: https://salsa.debian.org/science-team/transfuse

## transfuse 0.7.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.12 FATAL_ERROR)
 cmake_policy(VERSION ${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION})
 project(transfuse
-	VERSION 0.6.7
+	VERSION 0.7.6
 	LANGUAGES CXX C
 	)

=== docs/CMakeLists.txt ===
find_program(SPHINX_BUILD sphinx-build)
if(NOT SPHINX_BUILD)
	message(FATAL_ERROR "Could not find sphinx-build for building docs")
endif()
add_custom_target(docs ALL COMMAND ${SPHINX_BUILD} -M html ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}/build)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,6 @@
 	shared.hpp
 	state.hpp
 	stream.hpp
-	string_view.hpp
 	xml.hpp
 
 	base64.cpp
@@ -21,6 +20,7 @@
 	format-html-fragment.cpp
 	format-odt.cpp
 	format-pptx.cpp
+	format-tei.cpp
 	format-text.cpp
 	inject.cpp
 	shared.cpp
@@ -47,15 +47,22 @@
 	)
 
 foreach(s tf-extract tf-inject tf-clean)
-	add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse ${s} DEPENDS transfuse)
-	install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s} DESTINATION ${CMAKE_INSTALL_BINDIR})
+	if(WIN32)
+		add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E copy transfuse.exe ${s}.exe DEPENDS transfuse)
+		install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s}.exe DESTINATION ${CMAKE_INSTALL_BINDIR})
 
-	add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse.1 ${s}.1)
+		add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E copy transfuse.1 ${s}.1)
+	else()
+		add_custom_target(${s} ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse ${s} DEPENDS transfuse)
+		install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/${s} DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+		add_custom_target(${s}-man ALL COMMAND ${CMAKE_COMMAND} -E create_symlink transfuse.1 ${s}.1)
+	endif()
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/${s}.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 endforeach()
 
 if(BUILD_MAN)
-	add_custom_target(man ALL COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man.sh ${PROJECT_VERSION})
+	add_custom_target(man ALL COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/help2man.sh ${PROJECT_VERSION} DEPENDS transfuse)
 	install(FILES ${CMAKE_CURRENT_BINARY_DIR}/transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
 else()
 	install(FILES transfuse.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== tests/CMakeLists.txt ===
foreach(s apertium visl)
	foreach(f docx html html-fragment pptx odt txt)
		add_test(NAME "extract-${f}-${s}" COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/extract.sh" $<TARGET_FILE:transfuse> "${CMAKE_CURRENT_SOURCE_DIR}" ${f} ${s})
	endforeach()
	foreach(f html)
		add_test(NAME "clean-${f}-${s}" COMMAND "${CMAKE_CURRENT_SOURCE_DIR}/clean.sh" $<TARGET_FILE:transfuse> "${CMAKE_CURRENT_SOURCE_DIR}" ${f} ${s} "${CMAKE_CURRENT_BINARY_DIR}")
	endforeach()
endforeach()

=== include/xxhash/CMakeLists.txt ===
if(NOT BUNDLED_XXHASH)
	find_path(XXHASH_INCLUDE_DIR xxhash.h)
	find_library(XXHASH_LIBRARIES xxhash)
	set(XXHASH_INCLUDE_DIRS ${XXHASH_INCLUDE_DIRS} PARENT_SCOPE)
	set(XXHASH_LIBRARIES ${XXHASH_LIBRARIES} PARENT_SCOPE)
else()
	add_library(xxhash STATIC
		xxhash.h
		xxh3.h
		xxhash.cpp
		)
	target_include_directories(xxhash PRIVATE ./)
	set(XXHASH_INCLUDE_DIRS ${CMAKE_CURRENT_SOURCE_DIR} PARENT_SCOPE)
	set(XXHASH_LIBRARIES xxhash PARENT_SCOPE)
endif()

=== debian/changelog ===
transfuse (0.7.6-1) unstable; urgency=medium

  * Update to latest upstream
  * Fixes for newer libxml2 being stricter with HTML5 content

 -- Tino Didriksen <tino@didriksen.cc>  Thu, 14 Aug 2025 14:29:21 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: transfuse
 Section: science
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@alioth-lists.debian.net>
 Uploaders: Tino Didriksen <tino@didriksen.cc>,
            Kartik Mistry <kartik@debian.org>
 Build-Depends: cmake,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

export "DEB_BUILD_MAINT_OPTIONS=hardening=+all optimize=+lto reproducible=+fixfilepath"
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON

=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/tinodidriksen/@PACKAGE@/releases \
  https://github.com/tinodidriksen/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
